"""
Modulo que se encarga de gestionar la visualizacion de los datos en la 
ventana miPaneldeInformacion.xml
"""
from gvsiglib import *

current=0
values=None


def clickSiguiente(thinlet):
  fillCard(current+1)

def clickAnterior(thinlet):
  fillCard(current-1)

def setValues(thinlet, myValues):
  global values

  values = myValues
  fillCard(0)

def fillCard(index):
  """
  Carga los datos en los controles asignados y habilita los botones de 
  siguiente y anterior segun proceda
  """
  global current

  if index <0:
    return
  if index >= len(values):
    return

  current = index

  value=values[current]

  thinlet.setString(lblContadorDeFichas,"text","Ficha %s de %s" %(current +1 ,len(values)))
  thinlet.setString(txtCodigo,"text",value.get("Codigo",""))
  thinlet.setString(txtNombre,"text",value .get("Nombre",""))
  thinlet.setString(txtProvincia,"text",value .get("Provincia",""))
  thinlet.setString(txtComarca,"text",value .get("Comarca",""))
  if current <1:
    thinlet.setBoolean(btnAnterior,"enabled",False)
  else:
    thinlet.setBoolean(btnAnterior,"enabled",True)

  if current >=len(values)-1:
    thinlet.setBoolean(btnSiguiente,"enabled",False)
  else:
    thinlet.setBoolean(btnSiguiente,"enabled",True)

# Recoge los parametros pasados al thinlet en la llamada a la funcion 
# gvSIG.show que recibimos en la variable global params para inicializar
# los datos del gui
setValues(thinlet,params.get("values")) 
